aboutsummaryrefslogtreecommitdiff
path: root/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
index b6d5224..691ad2e 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -1,4 +1,8 @@
#!/bin/bash
+
+# end up when failed
+set -Eeuo pipefail
+
if [ $# -eq 0 ]; then
echo 'Should provide least one argument'
exit 1